<button id="myButton" class="botton" onclick="addRequests(1);">
    <div class="lds-ellipsis" id="waiting" style="display: none"><div></div><div></div><div></div><div></div></div>
    <div class="lds-spinner" id="waiting"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
    <img id="on-img" />
    <div id='text'>Hämta uppgifter  ></div>
</button>
<script>
    function addRequests(n) {
    const url = 'http://localhost:9998/action';
    const data = { method: "addRequests", number: n };
    document.getElementById("waiting").setAttribute("style","display: inline");
    document.getElementById("text").innerText = "Hämtar uppgifter";
    document.getElementById("on-img").hidden = true;
    document.getElementById("myButton").disabled = true;
    

    fetch(
        url,
        {
            headers: { "Content-Type": "application/json" },
            body: JSON.stringify(data),
            method: "POST"
        }
    )
    .then(data => data.json())
    .then((json) => {
        alert(JSON.stringify(json));
    });
    }
</script>